import { SchemaType } from "./SchemaType";
import { SchemaProperty } from "./SchemaProperty";
export declare class SchemaClass extends SchemaType {
    private _properties;
    private _isAbstract;
    private _extends;
    private _implementations;
    private _shorthand?;
    constructor(sourceObj: any);
    get properties(): Map<string, SchemaProperty>;
    get isAbstract(): boolean;
    get extends(): SchemaClass[];
    get implementations(): SchemaClass[];
    get shorthand(): SchemaProperty;
    getAllExtended(): SchemaClass[];
    getAllExtendedProperties(): string[];
    getAllProperties(): Map<string, SchemaProperty>;
    resolve(types: Map<string, SchemaType>): void;
    resolveImplementations(types: Map<string, SchemaType>): void;
}
