"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.defined = void 0;
/**
* @function defined
* Determines if the specified value exists and is not null.
* @param  {object} value - The object to check.
* @return {boolean} true if value exists and is not null; false otherwise
*/
function defined(value) {
    return (value !== undefined) && (value !== null);
}
exports.defined = defined;
//# sourceMappingURL=defined.js.map